Will Gentoox fill my requirements

Ask questions regarding Gentoox, Gentoo and Linux in general in these forums and we'll do our best to help you!
Post Reply
lionsmane
Newbie
Posts: 4
Joined: Sat Sep 22, 2007 1:13 pm

Will Gentoox fill my requirements

Post by lionsmane » Sat Sep 22, 2007 2:21 pm

Hey.
I've been using xebian for a while now but I was wondering whether it would be easier to do what i want to do with gentoox.
I need to create a very up to date system with a 2.6 kernel so that i can use the latest stable version of rtorrent.
Thanks
Matt

Bucko
Power user
Posts: 229
Joined: Mon Aug 11, 2003 4:14 pm
Location: England
Contact:

Post by Bucko » Sat Sep 22, 2007 5:15 pm

you could give it a try, Magic is awesome for updating the system, and emerge is wonderful as well.

You probably wont notice much speed difference, but at least you can say you have tried both :p.

User avatar
clpalmer
Power user
Posts: 288
Joined: Sat Jan 29, 2005 6:38 pm

Post by clpalmer » Sat Sep 22, 2007 11:11 pm

Why do you need 2.6 kernel for rtorrent? I use it all the time on my 2.4 kernel with no problems and decent speed.

In any case, I think there might be an issue or two with the 2.6 kernel, and maybe with it and the fatx file system, but someone else will have to comment on that.

Otherwise, for keeping an up to date system, Gentoox is quite nice. A simple console command and you can have it troll through and pick up all the new versions of all packages available. Keep in mind, though, that there's a delay between the release of a new version of something and the portage package being available, so if you absolutely need the latest version of something at all times, then you'll probably have to get it and compile it yourself no matter what distro you use.

lionsmane
Newbie
Posts: 4
Joined: Sat Sep 22, 2007 1:13 pm

Post by lionsmane » Sun Sep 23, 2007 9:28 am

I'd need to get the latest stable version of rtorrent. I may be very wrong as im not particularly experienced with this but i think that required me to have a 2.6 kernel... not sure why but it seemed to suggest that when i tried it on xebian.

I don't need to worry about problems with the fatx filesystem as I use a native install. I like the sound of this magic packaging thing being available for packages that have had to be patched for the xbox... im guessing it just uses the standard portage repository for everything else?

Would u suggest installing the pro version and adding the x-server on top (solely for video playback) or getting the home version and stripping it down?

Thanks very much for the reply... i seem to be getting the impression that gentoox is a little bit more active than xebian is now adays.

Matt

User avatar
clpalmer
Power user
Posts: 288
Joined: Sat Jan 29, 2005 6:38 pm

Post by clpalmer » Sun Sep 23, 2007 4:58 pm

Keep in mind that the update system on gentoo compiles from source, so if you're gonna need the x-server anyways, might think about grabbing home and stripping it down. It takes day(s) to compile some of the packages on an xbox. I assume you have a larger HDD in there so a few more installed packages isn't really gonna cause you any problems and will save you having to compile them.

As far as I remember, I grabbed the latest rtorrent and it didn't require 2.6, but that was a little while ago, so... Maybe I'll go grab the latest one and see if it has any issues with 2.4.

lionsmane
Newbie
Posts: 4
Joined: Sat Sep 22, 2007 1:13 pm

Post by lionsmane » Sun Sep 23, 2007 5:30 pm

It might have just been me being unexperienced... it seemed to rely on a lot of packages... some of which seemed to rely on 2.6... i think anyway.

It's just some annoying tracker i use that seems to constantly ban even slightly out of date clients.

Guess I'll grab home then.

Could anyone else comment on whether using a 2.6 kernel is possible... or whether i even need one?

Thanks.

User avatar
clpalmer
Power user
Posts: 288
Joined: Sat Jan 29, 2005 6:38 pm

Post by clpalmer » Mon Sep 24, 2007 3:59 am

Based on Shallax's comment in another thread, the only issue with 2.6 kernel is that it's missing fatx drivers (or they don't work or something). If you have a native install, then I guess it should be fine. I know that people have or do run 2.6.

lionsmane
Newbie
Posts: 4
Joined: Sat Sep 22, 2007 1:13 pm

Post by lionsmane » Tue Sep 25, 2007 11:03 am

Thanks for all the help.
Think I'll try and find the time to get home edition up and running this weekend so i can set it all up over ssh from uni.
Matt

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests